TLSParameterJaxBUtils (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.configuration.jsse

## Class TLSParameterJaxBUtils

- java.lang.Object
- - org.apache.cxf.configuration.jsse.TLSParameterJaxBUtils

-     public final class TLSParameterJaxBUtils
      extends Object

  This class provides some functionality to convert the JAXB generated types in the security.xsd to the items needed to programatically configure the HTTPConduit and HTTPDestination with TLSClientParameters and TLSServerParameters respectively.

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static KeyManager[]` | `getKeyManagers​(org.apache.cxf.configuration.security.KeyManagersType kmc)` | This method converts the JAXB KeyManagersType into a list of JSSE KeyManagers.
    `static KeyManager[]` | `getKeyManagers​(org.apache.cxf.configuration.security.KeyManagersType kmc, String alias)` | This method converts the JAXB KeyManagersType into a list of JSSE KeyManagers.
    `static KeyStore` | `getKeyStore​(org.apache.cxf.configuration.security.CertStoreType pst)` | This method converts a JAXB generated CertStoreType into a KeyStore.
    `static KeyStore` | `getKeyStore​(org.apache.cxf.configuration.security.KeyStoreType kst)` |
    `static KeyStore` | `getKeyStore​(org.apache.cxf.configuration.security.KeyStoreType kst, boolean trustStore)` | This method converts a JAXB generated KeyStoreType into a KeyStore.
    `static SecureRandom` | `getSecureRandom​(org.apache.cxf.configuration.security.SecureRandomParameters secureRandomParams)` | This method converts the JAXB generated type into a SecureRandom.
    `static TrustManager[]` | `getTrustManagers​(org.apache.cxf.configuration.security.TrustManagersType tmc)` | Deprecated.
    `static TrustManager[]` | `getTrustManagers​(org.apache.cxf.configuration.security.TrustManagersType tmc, boolean enableRevocation)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSecureRandom

          public static SecureRandom getSecureRandom​(org.apache.cxf.configuration.security.SecureRandomParameters secureRandomParams)
                                              throws GeneralSecurityException

      This method converts the JAXB generated type into a SecureRandom.
      Throws:
        `GeneralSecurityException`

    - #### getKeyStore

          public static KeyStore getKeyStore​(org.apache.cxf.configuration.security.KeyStoreType kst)
                                      throws GeneralSecurityException,
                                             IOException

      Throws:
        `GeneralSecurityException`
        `IOException`

    - #### getKeyStore

          public static KeyStore getKeyStore​(org.apache.cxf.configuration.security.KeyStoreType kst,
                                             boolean trustStore)
                                      throws GeneralSecurityException,
                                             IOException

      This method converts a JAXB generated KeyStoreType into a KeyStore.
      Throws:
        `GeneralSecurityException`
        `IOException`

    - #### getKeyStore

          public static KeyStore getKeyStore​(org.apache.cxf.configuration.security.CertStoreType pst)
                                      throws IOException,
                                             CertificateException,
                                             KeyStoreException,
                                             NoSuchAlgorithmException

      This method converts a JAXB generated CertStoreType into a KeyStore.
      Throws:
        `IOException`
        `CertificateException`
        `KeyStoreException`
        `NoSuchAlgorithmException`

    - #### getKeyManagers

          public static KeyManager[] getKeyManagers​(org.apache.cxf.configuration.security.KeyManagersType kmc)
                                             throws GeneralSecurityException,
                                                    IOException

      This method converts the JAXB KeyManagersType into a list of JSSE KeyManagers.
      Throws:
        `GeneralSecurityException`
        `IOException`

    - #### getKeyManagers

          public static KeyManager[] getKeyManagers​(org.apache.cxf.configuration.security.KeyManagersType kmc,
                                                    String alias)
                                             throws GeneralSecurityException,
                                                    IOException

      This method converts the JAXB KeyManagersType into a list of JSSE KeyManagers.
      Throws:
        `GeneralSecurityException`
        `IOException`

    - #### getTrustManagers

          @Deprecated
          public static TrustManager[] getTrustManagers​(org.apache.cxf.configuration.security.TrustManagersType tmc)
                                                 throws GeneralSecurityException,
                                                        IOException

      Deprecated.
      This method converts the JAXB TrustManagersType into a list of JSSE TrustManagers.
      Throws:
        `GeneralSecurityException`
        `IOException`

    - #### getTrustManagers

          public static TrustManager[] getTrustManagers​(org.apache.cxf.configuration.security.TrustManagersType tmc,
                                                        boolean enableRevocation)
                                                 throws GeneralSecurityException,
                                                        IOException

      Throws:
        `GeneralSecurityException`
        `IOException`